jQuery(document).ready(function($) {

    /**
     * Add RTL Class in Body
     */
    var brtl;

    if ($("body").hasClass('rtl')) {

        brtl = true;

    } else {

        brtl = false;
    }

    /**
     * Post Gallery Image Slider ( post format Gallery)
     */
    $(".postgallery-carousel").owlCarousel({
        items: 1,
        loop: true,
        dots: false,
        autoplay: true,
        mouseDrag: true,
        rtl: brtl,
    });

    /** video player */

    if ($(".chankhe-video-bg[data-property]").length > 0) {
        $(".chankhe-video-bg[data-property]").YTPlayer({
            showControls: false,
            containment: 'self',
            mute: true,
            addRaster: false,
            useOnMobile: false,
            playOnlyIfVisible: true,
            anchor: 'center,center',
            showYTLogo: false,
            loop: true,
            optimizeDisplay: true,
            quality: 'hd720'
        });
    }

    /**
     * Video popup
     */
    $('.popup-youtube, .popup-vimeo, .popup-gmaps').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: false
    });


    /**
     * Isotop Portfolio
     */
    // if ($('.chankheportfolio-posts').length > 0) {

    //     var first_class = $('.chankheportfolio-cat-name:first').data('filter');

    //     var $container = $('.chankheportfolio-posts').imagesLoaded(function() {

    //         $container.isotope({
    //             itemSelector: '.chankheportfolio',
    //             filter: first_class
    //         });

    //         var elems = $container.isotope('getFilteredItemElements');

    //         elems.forEach(function(item, index) {
    //             if (index == 0 || index == 4) {
    //                 //$(item).addClass('wide');
    //                 var bg = $(item).find('.chankheportfolio-image').attr('href');
    //                 $(item).find('.chankheportfolio-wrap').css('background-image', 'url(' + bg + ')');
    //             } else {
    //                 $(item).removeClass('wide');
    //             }
    //         });

    //         GetMasonary();

    //         setTimeout(function() {
    //             $container.isotope({
    //                 itemSelector: '.chankheportfolio',
    //                 filter: first_class,
    //             });
    //         }, 2000);

    //         $(window).on('resize', function() {
    //             GetMasonary();
    //         });

    //     });

    //     $('.chankheportfolio-cat-name-list').on('click', '.chankheportfolio-cat-name', function() {

    //         $('.chankheportfolio-cat-name-list').find('.chankheportfolio-cat-name').removeClass('active');

    //         var filterValue = $(this).attr('data-filter');

    //         $container.isotope({
    //             filter: filterValue
    //         });

    //         var elems = $container.isotope('getFilteredItemElements');

    //         elems.forEach(function(item, index) {
    //             if (index == 0 || index == 4) {
    //                 //$(item).addClass('wide');
    //                 var bg = $(item).find('.chankheportfolio-image').attr('href');
    //                 $(item).find('.chankheportfolio-wrap').css('background-image', 'url(' + bg + ')');
    //             } else {
    //                 $(item).removeClass('wide');
    //             }
    //         });

    //         GetMasonary();

    //         var filterValue = $(this).attr('data-filter');
    //         $container.isotope({
    //             filter: filterValue
    //         });

    //         $('.chankheportfolio-cat-name').removeClass('active');
    //         $(this).addClass('active');
    //     });

    //     function GetMasonary() {
    //         var winWidth = window.innerWidth;
    //         if (winWidth > 580) {

    //             $container.find('.chankheportfolio').each(function() {
    //                 var image_width = $(this).find('img').width();
    //                 if ($(this).hasClass('wide')) {
    //                     $(this).find('.chankheportfolio-wrap').css({
    //                         height: (image_width * 2) + 15 + 'px'
    //                     });
    //                 } else {
    //                     $(this).find('.chankheportfolio-wrap').css({
    //                         height: image_width + 'px'
    //                     });
    //                 }
    //             });

    //         } else {
    //             $container.find('.chankheportfolio').each(function() {
    //                 var image_width = $(this).find('img').width();
    //                 if ($(this).hasClass('wide')) {
    //                     $(this).find('.chankheportfolio-wrap').css({
    //                         height: (image_width * 2) + 8 + 'px'
    //                     });
    //                 } else {
    //                     $(this).find('.chankheportfolio-wrap').css({
    //                         height: image_width + 'px'
    //                     });
    //                 }
    //             });
    //         }
    //     }

    // }


    /**
     * Portfolio Open Light Box
     */
    // $('.chankheportfolio-image').magnificPopup({
    //     type: 'image',
    //     closeOnContentClick: true,
    //     mainClass: 'mfp-img-mobile',
    //     image: {
    //         verticalFit: true
    //     }
    // });

    /**
     * Success Product Counter
     */
    $('.chankheteam-counter-wrap').waypoint(function() {
        setTimeout(function() {
            $('.odometer1').html($('.odometer1').data('count'));
        }, 500);
        setTimeout(function() {
            $('.odometer2').html($('.odometer2').data('count'));
        }, 1000);
        setTimeout(function() {
            $('.odometer3').html($('.odometer3').data('count'));
        }, 1500);
        setTimeout(function() {
            $('.odometer4').html($('.odometer4').data('count'));
        }, 2000);
        setTimeout(function() {
            $('.odometer5').html($('.odometer5').data('count'));
        }, 2500);
        setTimeout(function() {
            $('.odometer6').html($('.odometer6').data('count'));
        }, 3000);
        setTimeout(function() {
            $('.odometer7').html($('.odometer7').data('count'));
        }, 3500);
        setTimeout(function() {
            $('.odometer8').html($('.odometer8').data('count'));
        }, 4000);
    }, {
        offset: 800,
        triggerOnce: true
    });


    /**
     * Masonry Posts Layout
     */
    var grid = document.querySelector(
            '.chankhe-masonry'
        ),
        masonry;

    if (
        grid &&
        typeof Masonry !== undefined &&
        typeof imagesLoaded !== undefined
    ) {
        imagesLoaded(grid, function(instance) {
            masonry = new Masonry(grid, {
                itemSelector: '.hentry',
                gutter: 15
            });
        });
    }

    /**
     * Testimonial
     */
    $('.testimonial_slider').owlCarousel({
        loop: true,
        margin: 10,
        dots: false,
        smartSpeed: 2000,
        autoplay: true,
        autoplayTimeout: 6000,
        items: 3,
        center: true,
        rtl: brtl,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 3
            }
        }
    });


    /**
     *  search
     */
    $('.search_main_menu a').click(function() {
        $('.ss-content').addClass('ss-content-act');
    });

    $('.ss-close').click(function() {
        $('.ss-content').removeClass('ss-content-act');
    });


});