
(function ($) {
    jQuery(document).ready(function ($) {
        var delay = (function () {
            var timer = 0;
            return function (callback, ms) {
                clearTimeout(timer);
                timer = setTimeout(callback, ms);
            };
        })();
        
        // FontAwesome Icon Control JS
        $('body').on('click', '.chankhe-customizer-icon-box .chankhe-icon-list li', function () {
            var icon_class = $(this).find('i').attr('class');
            $(this).closest('.chankhe-icon-box').find('.chankhe-icon-list li').removeClass('icon-active');
            $(this).addClass('icon-active');
            $(this).closest('.chankhe-icon-box').prev('.chankhe-selected-icon').children('i').attr('class', '').addClass(icon_class);
            $(this).closest('.chankhe-icon-box').next('input').val(icon_class).trigger('change');
            $(this).closest('.chankhe-icon-box').slideUp();
        });
    
        $('body').on('click', '.chankhe-customizer-icon-box .chankhe-selected-icon', function () {
            $(this).next().slideToggle();
        });
    
        $('body').on('change', '.chankhe-customizer-icon-box .chankhe-icon-search select', function () {
            var selected = $(this).val();
            $(this).closest('.chankhe-icon-box').find('.chankhe-icon-search-input').val('');
            $(this).closest('.chankhe-icon-box').find('.chankhe-icon-list li').show();
            $(this).closest('.chankhe-icon-box').find('.chankhe-icon-list').hide().removeClass('active');
            $(this).closest('.chankhe-icon-box').find('.' + selected).fadeIn().addClass('active');
        });
    
        $('body').on('keyup', '.chankhe-customizer-icon-box .chankhe-icon-search input', function (e) {
            var $input = $(this);
            var keyword = $input.val().toLowerCase();
            search_criteria = $input.closest('.chankhe-icon-box').find('.chankhe-icon-list.active i');
    
            delay(function () {
                $(search_criteria).each(function () {
                    if ($(this).attr('class').indexOf(keyword) > -1) {
                        $(this).parent().show();
                    } else {
                        $(this).parent().hide();
                    }
                });
            }, 500);
        });

    });
})(jQuery);
