<header id="masthead" class="site-header headertwo <?php if( get_theme_mod( 'chankhe_navbar_transparent', true ) == 1 ){ echo esc_html('transparent'); } ?>">
    <div class="nav-classic">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 text-center">
                    <div class="site-branding">
                        <?php the_custom_logo(); ?>

                        <h1 class="site-title">
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                                <?php bloginfo( 'name' ); ?>
                            </a>
                        </h1>
                        <?php 
                            $chankhe_description = get_bloginfo( 'description', 'display' );
                            if ( $chankhe_description || is_customize_preview() ) :?>
                                <p class="site-description"><?php echo $chankhe_description; /* WPCS: xss ok. */ ?></p>
                        <?php endif; ?>                 
                    </div> <!-- .site-branding -->

                    <button class="header-nav-toggle" data-toggle-target=".menu-modal"  data-toggle-body-class="showing-menu-modal" aria-expanded="false" data-set-focus=".close-nav-toggle">
                        <div class="one"></div>
                        <div class="two"></div>
                        <div class="three"></div>
                    </button><!-- .nav-toggle -->
                </div><!-- Col end -->
                
                <div class="col-lg-12 col-md-12 text-center">
                    <nav id="site-navigation" class="box-header-nav main-menu-wapper main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Main Menu', 'chankhe' ); ?>">
                        <?php
                            wp_nav_menu( array(
                                    'theme_location'  => 'menu-1',
                                    'menu'            => 'primary-menu',
                                    'container'       => '',
                                    'container_class' => '',
                                    'container_id'    => '',
                                    'menu_class'      => 'main-menu',
                                )
                            );
                        ?>
                    </nav>
                </div>
            </div><!-- .row end -->
        </div><!-- .container end -->
    </div>
</header><!-- #masthead --> 